body,
body * {
    margin: 0;
    padding: 0;
    vertical-align: top;
    box-sizing: border-box;
    /* background-image: url('img/forest5.png'); */

}

body {
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    padding: 20px;
    height: 100vh;
    background-image: url(../img/forest5.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}


.header {
    background: rgba(255, 255, 255, 0.34);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(2.7px);
    width: 800px;
    margin: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap:60px;
    justify-content: center;
    padding: 10px 0;
}

section {
    align-content: center;
    justify-content: center;
    width: 100%;
    display: none;
}

.result-container {
    margin-top: 50px;
    display: flex;
    flex-direction: row;
    gap: 20px;

}

.playerGameInfo {
    width: 200px;
    height: 150px;
    text-align: center;
    font-size: 1.5rem;
    display: none;
}

.showPlayers {
    display: inline-block;
    padding: 20px;
    background: rgba(255, 255, 255, 0.34);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(4px);
    -webkit-backdrop-filter: blur(3px);
}

.area-container {
    width: 800px;
    height: 530px;
    background-color: rgba(240, 255, 255, 0.9);
    position: relative;
    border-radius: 20px;
    box-shadow: 1px 1px 30px grey;
}

#square {
    height: 50px;
    width: 50px;
    background-color: rgba(130, 68, 68, 0.7);
    position: absolute;
    top: 200px;
    left: 400px;
    display: block;
}

span {
    position: absolute;
    top: auto;
}

#square:hover {
    box-shadow: 2px 2px 10px rgb(112, 87, 87);
    border: 2px outset rgb(225, 210, 210);
    cursor: crosshair;
}

#countDown {
    color: antiquewhite;
    border-radius: 50%;
    border: 4px inset rgb(10, 10, 97);
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    color: black;
    font-size: 4rem;
    padding-top: 5px;
    box-shadow: 0px 0px 10px;
    opacity: 0;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

#countDown span {
    margin: auto;
    margin-top: 0.1%;

}

.playersNameBox {
    font-size: 2rem;
    padding-right: 70px;
    font-weight: bold;
    line-height: 2em;

}

.livePoints {
    margin-left: 5px;
    color: rgb(69, 69, 75);
}

#opponent {
    border-right: none;
    padding-left: 50px;
    border-left: 4px groove grey;
    line-height: 2em;
}


form {
    background-color: rgb(59, 186, 186);
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 700px;
    height: 400px;
    z-index: 1;
    border-radius: 20px;
    box-shadow: 1px 1px 30px grey;
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    text-align: center;
    color: rgb(58, 55, 55);
    padding: 15px;
}


.nameInputField {
    display: flex;
    flex-direction: column;
}

.notShow {
    display: none;
}

.nameInput {
    font-size: 1.5rem;
    line-height: 1.5em;
    border-radius: 10px;
    text-align: center;
    border: none;
    box-shadow: 0px 2px 10px;
    margin-top: 8px;
}

.nameBtn {
    display: inline-block;
    padding: 10px 20px;
    font-size: 18px;
    text-align: center;
    cursor: pointer;
    border-radius: 10px;
    border: none;
    margin-top: 15px;
    transition: background-color 0.3s ease;
    background-color: azure;

}

.nameBtn:hover {
    background-color: rgb(160, 167, 167);

}

#startBtn {
    padding: 10px 20px;
    font-size: 1rem;
    font-weight: 600;
    background-color: rgb(4, 161, 14);
    box-shadow: 0px 0px 10px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
    border: 0.5px inset rgb(88, 170, 177);
    visibility: hidden;
    position: relative;
}

#startBtn::before {
    content: "";
    position: absolute;
    top: -10%;
    left: -10%;
    width: 120%;
    height: 120%;
    background: rgba(115, 9, 9, 0.3);
    border-radius: inherit;
    opacity: 0;
    animation: shining 1.5s infinite ease-in-out;
}

@keyframes shining {
    0% {
        opacity: 0;
        transform: scale(1);
    }

    50% {
        opacity: 1;
        transform: scale(1.2);
    }

    100% {
        opacity: 0;
        transform: scale(1);
    }
}

#startBtn:hover::before {
    animation: none;
}


#restart {
    padding: 10px 20px;
    font-size: 1rem;
    background-color: rgb(54, 147, 98);
    box-shadow: 0px 0px 10px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
    border: 0.5px inset rgb(88, 170, 177);
    position: relative;
}

#restart::before {
    content: "";
    position: absolute;
    top: -10%;
    left: -10%;
    width: 120%;
    height: 120%;
    background: rgba(255, 255, 255, 0.2);
    border-radius: inherit;
    opacity: 0;
    animation: shining 1.5s infinite ease-in-out;
}



#logo {
    font-size: 50px;
}

#endGameBoard {
    background-color: rgb(59, 186, 186);
    position: fixed;
    width: 700px;
    height: 400px;
    z-index: 2;
    border-radius: 20px;
    box-shadow: 1px 1px 30px grey;
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: space-between;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    text-align: center;
    color: rgb(58, 55, 55);
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    visibility: hidden;
}